## LOC Fix Recurrence Type indication

LOC Fix Recurrence Type indication

## Functions

QmiIndicationLocFixRecurrenceTypeOutput * | qmi_indication_loc_fix_recurrence_type_output_ref ()
void | qmi_indication_loc_fix_recurrence_type_output_unref ()
gboolean | qmi_indication_loc_fix_recurrence_type_output_get_fix_recurrence_type ()

## Types and Values

| QmiIndicationLocFixRecurrenceTypeOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocFixRecurrenceTypeOutput

## Description

## Functions

### qmi_indication_loc_fix_recurrence_type_output_ref ()

    QmiIndicationLocFixRecurrenceTypeOutput *
    qmi_indication_loc_fix_recurrence_type_output_ref
                                   (QmiIndicationLocFixRecurrenceTypeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocFixRecurrenceTypeOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_fix_recurrence_type_output_unref ()

    void
    qmi_indication_loc_fix_recurrence_type_output_unref
                                   (QmiIndicationLocFixRecurrenceTypeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocFixRecurrenceTypeOutput. |

Since: 1.22

### qmi_indication_loc_fix_recurrence_type_output_get_fix_recurrence_type ()

    gboolean
    qmi_indication_loc_fix_recurrence_type_output_get_fix_recurrence_type
                                   (QmiIndicationLocFixRecurrenceTypeOutput *self,
                                    QmiLocFixRecurrenceType *value_fix_recurrence_type,
                                    GError **error);

Get the 'Fix Recurrence Type' field from `self` .

#### Parameters

self | a QmiIndicationLocFixRecurrenceTypeOutput. |
value_fix_recurrence_type | a placeholder for the output QmiLocFixRecurrenceType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationLocFixRecurrenceTypeOutput

    typedef struct _QmiIndicationLocFixRecurrenceTypeOutput QmiIndicationLocFixRecurrenceTypeOutput;

The QmiIndicationLocFixRecurrenceTypeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22